Subject: Re: bug#31968: 26.1.50; Allow to hide title bar on maximize (gtk/gnome/csd)

From: martin rudalics <[email-masked]>
Date: Sun, 01 Jul 2018 11:02:59 +0200

> Works for me too. I had to manually apply the patch because it doesn't
 > cleanly applies on latest emacs-26, but besides that it does what is
 > announced.

Thank you.  Which are your desktop and window manager?

 > I think it's ok for this functionality to be gtk only since the kde
 > people (and mostly everyone else) hate the csd stuff and want their wm
 > to deal with decorations, old school. There is a flame war around this
 > issue indeed. Plasma can be configured for "hide titlebar on maximize"

Does this apply to all windows even when their application has not
requested such behavior?

 > but gnome and its derivatives (thinking of cinnamon here) can't. I
 > wonder for how long it would be even possible to hide the titlebar at
 > the gtk level.

IIUC it has been added in 3.4 so it will probably stay there for a
while.

martin